# Interface methods for submodule: NarrowBand
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightObjectProxy as _LightObjectProxy


# Interface methods for class: NarrowBand
class NarrowBandProxy(_LightObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def Empty(self) -> bool:
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def Reserve(self, n: int) -> None:
		""""""
		...

	def PushBack(self, n) -> None:
		""""""
		...

	def PopBack(self) -> None:
		""""""
		...

	def Resize(self, n: int) -> None:
		""""""
		...

	def SetTotalRadius(self, val: float) -> None:
		""""""
		...

	def GetTotalRadius(self) -> float:
		""""""
		...

	def SetInnerRadius(self, val: float) -> None:
		""""""
		...

	def GetInnerRadius(self) -> float:
		""""""
		...

